## org.mortbay.jetty.deployer
Class FileConfigurationManager

    java.lang.Object
      org.mortbay.jetty.deployer.FileConfigurationManager

All Implemented Interfaces:
  ConfigurationManager

    public class FileConfigurationManager

extends Object
implements ConfigurationManager

FileConfigurationManager Supplies properties defined in a file.

Constructor Summary
`FileConfigurationManager()`

Method Summary
`Map` `getProperties()`
`void` `setFile(String filename)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileConfigurationManager

    public FileConfigurationManager()

Method Detail

### setFile

    public void setFile(String filename)
                 throws MalformedURLException,
                        IOException

  Throws:
    `MalformedURLException`
    `IOException`

### getProperties

    public Map getProperties()

  Specified by:
    `getProperties` in interface `ConfigurationManager`
  See Also:
    `ConfigurationManager.getProperties()`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.